using System;

public class GlobalEventManager
{
    public static event Action<Team> onCaptureFlag;

    public static void SendCaptureFlag(Team team)
    {
        onCaptureFlag?.Invoke(team);
        onCaptureFlag = null;
    }

    public static event Action onTimeLeft;
    public static void SendTimeout()
    {
        onTimeLeft?.Invoke();
        onTimeLeft = null;
    }
}
